<template>
  <v-tabs centered grow v-model="tab" background-color="white" color="primary">
    <v-tab v-for="tab in tabs" :key="tab.tab">
      {{ tab.tab }}
    </v-tab>
    <v-tabs-items v-model="tab">
      <v-tab-item v-for="tab in tabs" :key="tab.tab">
        <slot :name="tab.tab"></slot>
      </v-tab-item>
    </v-tabs-items>
  </v-tabs>
</template>
<script lang="ts">
import Vue from 'vue'
import { Prop, Component } from 'vue-property-decorator'

@Component({})
export default class Tabs extends Vue {
  @Prop({ required: true }) tabs!: any
  tab = null
}
</script>
